/************************************************************************/
/*  Functions in program.						*/
/************************************************************************/
/*	$Id: procs.h,v 1.2 1999/04/07 15:59:49 doug Exp $ 	*/

void print_stream_summary
   (ST_INFO	*out_p);	/* ptr to stream structure.		*/

int position_stream 
   (ST_INFO	*st_p,		/* ptr to current input stream.		*/
    INT_TIME	*stime,		/* ptr to desired start time.		*/
    INT_TIME	*etime);	/* ptr to desired end time.		*/

void get_block_info
   (ST_INFO	*st_p);		/* ptr to current stream header.	*/

DATA_HDR *decode_block_drm
   (char	*buf,		/* buffer containing drm record.	*/
    int		*pblksize,	/* ptr to blksize (returned).		*/
    int		type);		/* type of drm file.			*/

ST_INFO *find_best_stream 
   (ST_INFO	*in_p,		/* ptr to current input stream.		*/
    ST_INFO	*out_p,		/* ptr to output stream.		*/
    INT_TIME	*stime,		/* ptr to desired start time, or NULL.	*/
    INT_TIME	*etime,		/* ptr to desired end time, or NULL.	*/
    int		bias);		/* bias flag for best stream selection.*/

void process_block
   (ST_INFO	*st_p);		/* ptr to input stream structure.	*/

int pad_out
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

void flush_output
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

void append_to_output
   (ST_INFO	*st_p,		/* ptr to input stream structure.	*/
    int		slew);		/* slew between current and prev record.*/

int same_type_data_stream
   (DATA_HDR	*ih,		/* ptr to input DATA_HDR.		*/
    DATA_HDR	*oh);		/* ptr to output DATA_HDR.		*/

void make_out_sum_hdr
   (ST_INFO	*out,		/* ptr to output stream structure.	*/
    ST_INFO	*st_p);		/* ptr to input stream structure.	*/

void make_out_cur_hdr
   (ST_INFO	*out);		/* ptr to output stream structure.	*/

ST_INFO *open_stream
   (ST_INFO	*phead,		/* ptr to stream struct linked list.	*/
    char	*file,		/* filename to open.			*/
    char	*mode);		/* mode for open.			*/

ST_INFO *close_stream
   (ST_INFO	*st_p);		/* ptr to stream struct to close.	*/

int fill_buffer
   (ST_INFO	*st_p,		/* ptr to input stream struct.		*/
    int		n);		/* number of bytes desired in IOB.	*/

void write_stream
   (ST_INFO	*out);		/* ptr to output stream struct.		*/

IOB *new_iob (void);

IOB *dup_iob 
   (IOB *old_iob);		/* ptr to IOB to be duplicated.		*/

void free_iob 
   (IOB *iob);			/* ptr to IOB to free.			*/

int parse_cmdline 
   (int		*pargc,		/* ptr to argc.				*/
    char	***pargv);	/* ptr to argv.				*/
